Loading...
Searching...
No Matches
pcl::cuda::StoragePointer< Device, T > Struct Template Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/point_cloud.h>`

## Public Types

using | type = thrust::device_ptr<T>

## Static Public Member Functions

template<typename U>
static thrust::device_ptr< U > | cast (type ptr)
template<typename U>
static thrust::device_ptr< U > | cast (T *ptr)

## Detailed Description

template<typename T>
struct pcl::cuda::StoragePointer< Device, T >

Definition at line 332 of file point_cloud.h.

## Member Typedef Documentation

## type

template<typename T>

using pcl::cuda::StoragePointer< Device, T >::type = thrust::device_ptr<T>

Definition at line 334 of file point_cloud.h.

## Member Function Documentation

## cast() [1/2]

template<typename T>
template<typename U>

thrust::device_ptr< U > pcl::cuda::StoragePointer< Device, T >::cast | ( | T * | ptr | ) |

inline static

Definition at line 341 of file point_cloud.h.

## cast() [2/2]

template<typename T>
template<typename U>

thrust::device_ptr< U > pcl::cuda::StoragePointer< Device, T >::cast | ( | type | ptr | ) |

inline static

Definition at line 336 of file point_cloud.h.

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/point_cloud.h